import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterHouseVetNewRequests = createAsyncThunk(
  "SLAUGHTER_HOUSE_VET_NEW_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house_request/?operator=KillHouseVet",
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role_key: d.role_key || "",
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
